Bug 628799 - yum update - is not a symbolic link messages
Summary: yum update - is not a symbolic link messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bigloo
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 664116 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-31 05:06 UTC by Jay Rothschild
Modified: 2014-01-21 23:16 UTC (History)
9 users (show)

Fixed In Version: bigloo-3.6a-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-16 04:02:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 612094 None None None Never

Internal Links: 612094

Description Jay Rothschild 2010-08-31 05:06:30 UTC
Description of problem:

When I do a # yum -y update I get a lot of messages like the following sample below throughout the entire update

Additional info:

Cleanup : selinux-policy-3.8.8-20.fc14.noarch 50/52
/sbin/ldconfig: /usr/lib64/libbigloomail_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloogstreamer_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloopkgcomp_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloocrypto_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloopthread_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloopackrat_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloopkglib_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbiglootext_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloocalendar_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbiglooweb_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloomultimedia_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloofthread_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloosqlite_es-3.4a.so is not a symbolic link

/sbin/ldconfig: /usr/lib64/libbigloosrfi1_es-3.4a.so is not a symbolic link

Cleanup : 6:kdelibs-common-4.5.0-2.fc14.x86_64 51/52
Cleanup : oxygen-icon-theme-4.5.0-1.fc14.noarch 52/52

Updated:
at-spi2-atk.x86_64 0:0.3.90-2.fc14
codeblocks.x86_64 0:10.05-4.fc14
codeblocks-libs.x86_64 0:10.05-4.fc14
gnome-settings-daemon.x86_64 0:2.31.6-2.fc14
kdelibs-common.x86_64 6:4.5.1-3.fc14
libgee.x86_64 0:0.5.2-2.fc14
libv4l.x86_64 0:0.8.1-1.fc14
ntp.x86_64 0:4.2.6p2-4.fc14
ntpdate.x86_64 0:4.2.6p2-4.fc14
oxygen-icon-theme.noarch 0:4.5.1-1.fc14
parrot.x86_64 0:2.7.0-1.fc14
pciutils.x86_64 0:3.1.7-1.fc14
pciutils-libs.x86_64 0:3.1.7-1.fc14
qt.x86_64 1:4.7.0-0.28.rc1.fc14
qt-devel.x86_64 1:4.7.0-0.28.rc1.fc14
qt-mysql.x86_64 1:4.7.0-0.28.rc1.fc14
qt-sqlite.x86_64 1:4.7.0-0.28.rc1.fc14
qt-webkit.x86_64 1:4.7.0-0.28.rc1.fc14
qt-x11.x86_64 1:4.7.0-0.28.rc1.fc14
selinux-policy.noarch 0:3.9.0-2.fc14
selinux-policy-targeted.noarch 0:3.9.0-2.fc14
squashfs-tools.x86_64 0:4.1-0.4.20100827.fc14
system-setup-keyboard.x86_64 0:0.8.6-1.fc14
usbutils.x86_64 0:0.90-1.fc14
xmlrpc-c.x86_64 0:1.23.02-1400.svn1968.fc14
xmlrpc-c-client.x86_64 0:1.23.02-1400.svn1968.fc14

Complete!
[root@ ...

Comment 1 seth vidal 2010-08-31 12:44:14 UTC
Something in the bigloo pkg seems to be wrong.

reassigning.

Comment 2 stan 2010-10-07 14:10:37 UTC
I see the same thing.  Whenever a library is installed and ldconfig is run, the error messages occur.  Also on F14.

Comment 3 Michel Alexandre Salim 2010-11-09 11:09:29 UTC
bigloo has never versioned their shared libraries, but until recently it seems like ldconfig is just silent about it. We might have to fix it ourselves and send upstream the patch.

Incidentally, I just looked to see other distributions' packaging of Bigloo and, to my surprise, it got yanked from Debian/Ubuntu after the 2.8 release!

Comment 4 stan 2010-11-09 16:13:48 UTC
Was there a reason it got yanked?  Mostly I'm wondering if there were security issues.  But it would be interesting if they thought it was now redundant, or obsolete, or no longer met licensing requirements.  Or perhaps it was just lack of interest.

Comment 5 Michel Alexandre Salim 2010-11-09 17:03:56 UTC
See http://packages.qa.debian.org/b/bigloo.html

It looks like Debian automatically remove a package from testing if it is FTBFS and nobody fixes it (much like we do the same, but only every release cycle, whereas testing is a rolling "distribution").

In this case, it's a pity; the bug seems quite trivial (if they could not fix the Java modules you can always turn it off!)

There's not that many Scheme compilers that can generate native code, and Scheme2JS, that I maintain, uses Bigloo, so I certainly hope they're not redundant. I'd suppose it's lack of interest.

Comment 6 stan 2010-11-09 18:10:29 UTC
Thank you for the clarification.

Comment 7 Fedora Admin XMLRPC Client 2011-02-11 03:02:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Jerry James 2011-02-11 21:08:05 UTC
*** Bug 664116 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Update System 2011-03-10 19:08:24 UTC
bigloo-3.6a-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bigloo-3.6a-1.fc14

Comment 10 Fedora Update System 2011-03-10 19:08:39 UTC
bigloo-3.6a-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bigloo-3.6a-1.fc15

Comment 11 stan 2011-03-13 01:20:01 UTC
The release in updates testing fixes this on F14 x86_64.  The messages no longer appear during updates of libraries.

Comment 12 Fedora Update System 2011-03-16 04:02:30 UTC
bigloo-3.6a-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Pablo Rodríguez 2011-03-20 12:14:05 UTC
I still get the message I included in the original report when I install new libraries.

Comment 14 stan 2011-03-20 19:01:07 UTC
After comment 13, I watched an update on F14 x86_64 with bigloo-3.6a-1.fc14 installed, and there were no messages.

What Fedora version are you running, Pablo?  And what version of bigloo?

Comment 15 Fedora Update System 2011-03-20 21:24:52 UTC
bigloo-3.6a-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.